Bug 232681 - graphics/geeqie: fix build with GCC-based architectures
Summary: graphics/geeqie: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-25 15:21 UTC by Piotr Kubaj
Modified: 2018-11-19 14:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (508 bytes, patch)
2018-10-25 15:21 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-25 15:21:01 UTC
Created attachment 198623 [details]
patch

This port links against libgraphite, which needs GCC from ports on GCC architectures. Add USES=compiler:c++11-lang.

While here, add USES=gl.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2018-10-30 12:14:11 UTC
A commit references this bug:

Author: linimon
Date: Tue Oct 30 12:13:52 UTC 2018
New revision: 483483
URL: https://svnweb.freebsd.org/changeset/ports/483483

Log:
  Fix build with GCC-based architectures.

  PR:		232681
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/graphics/geeqie/Makefile